> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clinia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a concept from a vocabulary

> Get a concept from a vocabulary.




## OpenAPI

````yaml /api-reference/terminology.yml get /terminology/v1/vocabularies/{vocabularyKey}/concepts/{conceptCode}
openapi: 3.0.1
info:
  title: Terminology API
  version: 1.0.0
servers:
  - url: https://api.{workspaceId}.clinia.cloud
    variables:
      workspaceId:
        default: ''
        description: The workspace id.
security:
  - apiKey: []
  - basicHttpAuth: []
  - bearerHttpAuth: []
tags:
  - name: Vocabularies
    description: Management of the vocabularies.
paths:
  /terminology/v1/vocabularies/{vocabularyKey}/concepts/{conceptCode}:
    get:
      tags:
        - Vocabularies
      summary: Get a concept from a vocabulary
      description: |
        Get a concept from a vocabulary.
      operationId: GetConcept
      parameters:
        - name: vocabularyKey
          in: path
          description: The key of the vocabulary.
          required: true
          schema:
            type: string
        - name: conceptCode
          in: path
          description: The code of the concept.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The concept with the given code from the vocabulary.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1Concept'
        '404':
          description: Returned when the vocabulary or the concept does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1Error'
        '429':
          $ref: '#/components/responses/v1TooManyRequestError'
        '504':
          $ref: '#/components/responses/v1GatewayTimeoutError'
components:
  schemas:
    v1Concept:
      type: object
      required:
        - vocabularyKey
        - code
        - definition
        - designation
      properties:
        vocabularyKey:
          type: string
          readOnly: true
        code:
          type: string
          readOnly: true
        definition:
          type: string
        designation:
          type: object
          additionalProperties:
            type: string
    v1Error:
      type: object
      required:
        - code
        - message
        - type
      properties:
        code:
          $ref: '#/components/schemas/v1ErrorCode'
        message:
          type: string
        type:
          $ref: '#/components/schemas/v1ErrorType'
        details:
          description: list of errors that occurred if applicable.
          type: array
          items:
            $ref: '#/components/schemas/v1Error'
        additionalContext:
          type: object
          additionalProperties: true
    v1ErrorCode:
      type: integer
      format: int32
      enum:
        - 400
        - 401
        - 403
        - 404
        - 408
        - 409
        - 413
        - 429
        - 500
        - 501
        - 504
    v1ErrorType:
      type: string
      enum:
        - ALREADY_EXISTS
        - FAILED_PRECONDITION
        - INTERNAL
        - INVALID_ARGUMENT
        - NOT_FOUND
        - OUT_OF_RANGE
        - UNIMPLEMENTED
        - PERMISSION_DENIED
        - UNAUTHENTICATED
        - CONTENT_TOO_LARGE
        - REQUEST_TIMEOUT
        - TOO_MANY_REQUEST
        - GATEWAY_TIMEOUT
  responses:
    v1TooManyRequestError:
      description: Returned when the server starts throttling the requests.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/v1Error'
    v1GatewayTimeoutError:
      description: Returned when the request exceeds the server timeout window.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/v1Error'
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-Clinia-API-Key
    basicHttpAuth:
      description: Basic HTTP authentication.
      type: http
      scheme: basic
    bearerHttpAuth:
      description: JWT Bearer authentication.
      type: http
      scheme: Bearer
      bearerFormat: JWT

````